package com.example.testappremoveme;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class MainActivity extends Activity {

	public static final String EXTRA_LABEL_1 = "extra1";
	public static final String EXTRA_LABEL_2 = "extra2";
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		Button submitButton = (Button) findViewById(R.id.submitButton);
		final EditText nameView = (EditText) findViewById(R.id.nameInput);
		final EditText surnameView = (EditText) findViewById(R.id.surnameInput);
		
		submitButton.setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View arg0) {
				
				sendIntent(nameView.getText().toString(), surnameView.getText().toString());
			}
			
		});
		
		
		
	}
	
	
	private void sendIntent(String data1, String data2){
		Intent i = new Intent(this, ReceiverActivity.class);
		i.putExtra(EXTRA_LABEL_1, data1);
		i.putExtra(EXTRA_LABEL_2, data2);
		startActivity(i);
	}

	
}
