package com.example.testappremoveme;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.widget.TextView;

public class ReceiverActivity extends Activity {

	private static final String TAG = ReceiverActivity.class.getSimpleName();

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_receiver);
		
		Intent receivedIntent = this.getIntent();
		String data1 = receivedIntent.hasExtra(MainActivity.EXTRA_LABEL_1)?receivedIntent.getStringExtra(MainActivity.EXTRA_LABEL_1):"none";
		String data2 = receivedIntent.hasExtra(MainActivity.EXTRA_LABEL_2)?receivedIntent.getStringExtra(MainActivity.EXTRA_LABEL_2):"none";
		
		String log = String.format("Received data are: %s + %s\n", data1, data2);
		
		Log.i(TAG, log);
		TextView logView = (TextView) findViewById(R.id.logView);
		logView.setText(log);
		
		logView.append("EXTRA_MESSAGE_1: "+data1+"\n");
		logView.append("EXTRA_MESSAGE_2: "+data2+"\n");
		
		
	}

}
